Bug 1473183 - [abrt] gnome-settings-daemon: real_assign_crtcs(): gsd-xrandr killed by signal 11
[abrt] gnome-settings-daemon: real_assign_crtcs(): gsd-xrandr killed by signa...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rui Matos
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3ea628c715ae5c66eade5fede45...
:
: 1473394 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 04:10 EDT by Miroslav Šustek
Modified: 2018-05-29 08:07 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:07:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (54.93 KB, text/plain)
2017-07-20 04:10 EDT, Miroslav Šustek
no flags Details
File: cgroup (286 bytes, text/plain)
2017-07-20 04:10 EDT, Miroslav Šustek
no flags Details
File: core_backtrace (12.97 KB, text/plain)
2017-07-20 04:10 EDT, Miroslav Šustek
no flags Details
File: cpuinfo (1.12 KB, text/plain)
2017-07-20 04:10 EDT, Miroslav Šustek
no flags Details
File: dso_list (11.19 KB, text/plain)
2017-07-20 04:11 EDT, Miroslav Šustek
no flags Details
File: environ (1.81 KB, text/plain)
2017-07-20 04:11 EDT, Miroslav Šustek
no flags Details
File: exploitable (95 bytes, text/plain)
2017-07-20 04:11 EDT, Miroslav Šustek
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-20 04:11 EDT, Miroslav Šustek
no flags Details
File: maps (48.06 KB, text/plain)
2017-07-20 04:11 EDT, Miroslav Šustek
no flags Details
File: open_fds (1.09 KB, text/plain)
2017-07-20 04:11 EDT, Miroslav Šustek
no flags Details
File: proc_pid_status (1.29 KB, text/plain)
2017-07-20 04:11 EDT, Miroslav Šustek
no flags Details
File: var_log_messages (439 bytes, text/plain)
2017-07-20 04:11 EDT, Miroslav Šustek
no flags Details

  None (edit)
Description Miroslav Šustek 2017-07-20 04:10:44 EDT
Description of problem:
I think you will not be easily able to reproduce the problem because I did the same scenario many times but this was the first time something crashed.
But still here is the step-by-step:
1. I woke up my laptop from sleep
2. I connected it to external display using HDMI
3. I pressed Fn+F4 shortcut (on Acer Aspire 5740G means switch between display layouts: only internal, only external, side by side and mirrored)
4. It did not work and only internal display was active so I tried to press the shortcut repeatedly
5. I disconnected and again connected HDMI (you know the old "turn it off and on again" method)
6. I pressed Fn+F4 again and now it finally switched to side-by-side layout with both internal and external display
7. Then this error reporting window appeared

I guess that the stack trace will be the most useful for you.

And maybe it may be useful information for you that I currently try to use Wayland. It did not ever happen with X11.

Version-Release number of selected component:
gnome-settings-daemon-3.24.2-2.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/gsd-xrandr
crash_function: real_assign_crtcs
executable:     /usr/libexec/gsd-xrandr
journald_cursor: s=fde22519dcaa417d8e85bbc89f7f4e4a;i=19406;b=73c8d170bb4a4435a5593da424525e90;m=6a0a714f0;t=554a6b3a63462;x=512a0e55b8b4c1fa
kernel:         4.11.10-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            500

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 real_assign_crtcs at gnome-rr-config.c:941
 #1 crtc_assignment_new at gnome-rr-config.c:1068
 #2 gnome_rr_config_apply_helper at gnome-rr-config.c:628
 #3 gnome_rr_config_apply at gnome-rr-config.c:650
 #4 apply_configuration at gsd-xrandr-manager.c:350
 #5 handle_fn_f7 at gsd-xrandr-manager.c:1010
 #6 gsd_xrandr_manager_2_video_mode_switch at gsd-xrandr-manager.c:367
 #7 handle_method_call_xrandr_2 at gsd-xrandr-manager.c:1370
 #8 handle_method_call at gsd-xrandr-manager.c:1399
 #9 call_in_idle_cb at gdbusconnection.c:4850

Potential duplicate: bug 1352316
Comment 1 Miroslav Šustek 2017-07-20 04:10:52 EDT
Created attachment 1301576 [details]
File: backtrace
Comment 2 Miroslav Šustek 2017-07-20 04:10:53 EDT
Created attachment 1301577 [details]
File: cgroup
Comment 3 Miroslav Šustek 2017-07-20 04:10:55 EDT
Created attachment 1301578 [details]
File: core_backtrace
Comment 4 Miroslav Šustek 2017-07-20 04:10:57 EDT
Created attachment 1301579 [details]
File: cpuinfo
Comment 5 Miroslav Šustek 2017-07-20 04:11:01 EDT
Created attachment 1301580 [details]
File: dso_list
Comment 6 Miroslav Šustek 2017-07-20 04:11:02 EDT
Created attachment 1301581 [details]
File: environ
Comment 7 Miroslav Šustek 2017-07-20 04:11:04 EDT
Created attachment 1301582 [details]
File: exploitable
Comment 8 Miroslav Šustek 2017-07-20 04:11:05 EDT
Created attachment 1301583 [details]
File: limits
Comment 9 Miroslav Šustek 2017-07-20 04:11:07 EDT
Created attachment 1301584 [details]
File: maps
Comment 10 Miroslav Šustek 2017-07-20 04:11:09 EDT
Created attachment 1301585 [details]
File: open_fds
Comment 11 Miroslav Šustek 2017-07-20 04:11:10 EDT
Created attachment 1301586 [details]
File: proc_pid_status
Comment 12 Miroslav Šustek 2017-07-20 04:11:11 EDT
Created attachment 1301587 [details]
File: var_log_messages
Comment 13 patrick.guio 2017-07-20 13:19:16 EDT
*** Bug 1473394 has been marked as a duplicate of this bug. ***
Comment 14 Fedora End Of Life 2018-05-03 04:42:36 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2018-05-29 08:07:20 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.